## dojox.cometd.demo
Class BayeuxStartupListener

    java.lang.Object
      dojox.cometd.demo.BayeuxStartupListener

All Implemented Interfaces:
  EventListener, ServletContextAttributeListener

    public class BayeuxStartupListener

extends Object
implements ServletContextAttributeListener

Constructor Summary
`BayeuxStartupListener()`

Method Summary
`void` `attributeAdded(ServletContextAttributeEvent scab)` Notification that a new attribute was added to the servlet context.
`void` `attributeRemoved(ServletContextAttributeEvent scab)` Notification that an existing attribute has been removed from the servlet context.
`void` `attributeReplaced(ServletContextAttributeEvent scab)` Notification that an attribute on the servlet context has been replaced.
`void` `initialize(Bayeux bayeux)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxStartupListener

    public BayeuxStartupListener()

Method Detail

### initialize

    public void initialize(Bayeux bayeux)

### attributeAdded

    public void attributeAdded(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that a new attribute was added to the servlet context. Called after the attribute is added.

  Specified by:
    `attributeAdded` in interface `ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that an existing attribute has been removed from the servlet context. Called after the attribute is removed.

  Specified by:
    `attributeRemoved` in interface `ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that an attribute on the servlet context has been replaced. Called after the attribute is replaced.

  Specified by:
    `attributeReplaced` in interface `ServletContextAttributeListener`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.